<!DOCTYPE html>
<html lang="es">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="author" content="Olav Martos">
        <meta name="description" content="Creacion de la primera pagina web en Gitpod">
        <title>Indice / Lenguaje de Marcas</title>
        <link rel="icon" type="image/png" href="img/favicon.png">
    </head>
    <body>
        <header id="up">
            <h1>Bienvenido a M4</h1>
            <h2>Estamos aqui para aprender sobre Lenguajes de Marcas</h2>
            <h3>En esta pagina se veran distintos articulos que explican la forma en la que el Modulo 4 funciona junto a enlaces a algunos apuntes</h3>
            <nav>
                <ul>
                    <li><a href="m2.html">Bases de datos <!--TORTURA--></a></li>
                    <li><a href="#art1"><i>Que es este modulo?</i></a></li>
                    <li><a href="#art2"><i>Que se esta haciendo el dia de hoy, 3/10/2022</i></a></li>
                    <li><a href="#art3"><i>Que va antes de M4</i></a></li>
                    <li><a href="#art4"><i>Que va despues de M4</i></a></li>               
                    <li><a href="#apuntes">Apuntes</a></li>
                    <li><a href="audio.html">Audio</a></li>
                    <li><a href="video.html">Video</a></li>
                    <li><a href="tabla.html">Tabla</a></li>
                    <li><a href="formulario.html">Formulario</a></li>
                </ul>
            </nav>
        </header>
        <main>
            <section>
                <h2>M4</h2>
                <article id="art1"><!--Lore, Lore, Macu, Macu-->
                    <h3>Que es este modulo?</h3>
                    <p>M4 es uno de los tantos modulos que encontramos en DAMv (Desarrollo de Aplicaciones Multiplataforma, especializado en Videojuegos).<br>Este en concreto se trata de los Lenguajes de marcas, es decir, tanto XML, HTML, CSS e incluso JavaScript</p>
                </article>
                <article id="art2"><!--Lore, Lore, Macu, Macu-->
                    <h3>Que se esta haciendo el dia de hoy, 3/10/2022</h3>
                    <p>El dia de hoy estamos haciendo HTML, es mas el menu de navegacion hasta estas dos secciones estan hechas el dia 3 de octubre</p>
                </article>
            </section>
            <br><!--Hubiera preferido poner Lorem Ipsum en vez de toda esta parrafada, pero bueno-->
            <section>
                <h2>Otros modulos</h2><!--Lore, Lore, Macu, Macu-->
                <article id="art3">
                    <h3>Que va antes de M4</h3>
                    <p>El modulo que va antes de M4 Lenguaje de marcas, se trata de M3 Programacion, donde estamos creando unos primeros archivos en C# de para habituarnos a este lenguaje de programacion</p>
                </article>
                <article id="art4"><!--Lore, Lore, Macu, Macu-->
                    <h3>Que va despues de m4</h3>
                    <p>El modulo que va despues de M4 Lenguaje de marcas, se trata de M5 Entornos de desarrollo, donde hemos conocido las operaciones logicas(&& ||), relacionales (&lt; &gt; &gt;= &lt;=  !==)</p>
                </article>
            </section>
            <div id="apuntes">
                <h2>Apuntes</h2>
                <ul>
                    <li><a href="https://docs.google.com/document/d/1r6f726bWjui7OFi_eS_W_80Z9Uwrpn1w2mrjAhToGPM/edit?usp=sharing" target="_blank">Apuntes 12-09-2022, 13-09-2022 & 19-0-2022</a></li>
                    <li><a href="https://docs.google.com/document/d/1MhqK6mTj6lrF1lzOn-qN1tE3f2Z8ccTEXGRxYfEcsME/edit?usp=sharing" target="_blank">Apuntes 19-09-2022 & 20-09-2022 & 23-09_2022</a></li>
                    <li><a href="https://drive.google.com/drive/folders/1hgaxTqj1t6XF5gD7vA2Fr99HPgQ2bKOF?usp=sharing" target="_blank">Caso Practico XML</a></li>
                </ul>
            </div>
        </main>
        <br><br><br><br>
        <aside>
            <div>
                <article>
                    <h4>M3 Programacion</h4>
                    <p>Cansado de escribir el tipico print("") o printf("") en Python?<br>Pues te presentamos C# un lenguaje de programacion que viene de C y C++. Si tu lo quieres, tu lo seras, una del Club. Winx, tu mano con la mia, mas fuerte nos hara...<br>En C# escribir por consola es tan simple como decir que estas usando System y usar el Console.WriteLine("Yo me mostrare por consola, YEI");<br>IMPORTANTE ACUERDATE DEL PUNTO Y COMA (;)</p>
                    <a href="https://sites.google.com/itb.cat/estructures-de-seleccio/inici?authuser=1" target="_blank">Ver apuntes de Programacion</a>
                    <figure>
                        <img src="img/ejemplocs.png" alt="Uno de los primeros scripts hechos con C#">
                        <figcaption>Imagen de un programa realizado en C#</figcaption>
                    </figure>
                </article>
                <article>
                    <h4>M5 Entornos de desarrollo</h4>
                    <p>Cansado de las operaciones tipicas de sumar, restar, multiplicar y dividiar. Te presentamos el Modulo(%), si bien se escribe con el simbolo del porcentaje su uso es completamente distinto<br> Si nosotros hacemos 30%10 la respuesta sera 0. ¿Porque? <a href="https://es.wikipedia.org/wiki/Operaci%C3%B3n_m%C3%B3dulo" target="_blank">Descubrelo aqui</a></p>
                </article>
            </div>
        </aside>
        <br>
        <footer>
            <h3>Created by Olav Martos</h3>
            <div>
                <p>Informacion de contacto:</p>
                <div>
                    <p><b>OLAV MARTOS ACEÑA</b><br>Estudiant de DAMv1 - Aula 309<br><br>Institut Tecnològic de Barcelona (ITB)<br></p>
                    <address>c/ d'Aiguablava 121, 08033 Barcelona</address>
                    <a href="#up">olav.martos.7e4@itb.cat</a>
                </div>
            </div>
        </footer>
    </body>
</html>